﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Northwind.Model;

namespace Northwind.View
{
    public partial class Default : System.Web.UI.Page
    {
        private IList<ProductResultSet> RetrieveGridDataToResultSet()
        {
            using (NorthwindModel dbContext = new NorthwindModel())
            {
                IList<ProductResultSet> myGridResult = (from a in dbContext.Products
                                                        select new ProductResultSet
                                                        {
                                                            Name = a.ProductName,
                                                            UnitPrice = a.UnitPrice,
                                                            Category = a.Category.CategoryName,
                                                            Description = a.Category.Description
                                                        }).ToList();
                return myGridResult;
            }
        }

        private void AttachDatasourceToResultSetGrid()
        {
            this.ResultSetGrid.DataSource = this.RetrieveGridDataToResultSet();
            this.ResultSetGrid.DataBind();
        }
    }
}